Subject: Re: [PATCH 2/2] Run garbage collection with loose object pruning after svn dcommit

From: Steven Grimm <[email-masked]>
Date: Fri, 05 Oct 2007 10:48:29 -0700

Peter Baumann wrote:
> That's new to me. Glancing over git-commit.sh, I could only find a
> 'git-gc --auto', but no prune. I am not against doing a 'git gc --auto',
> but I am against the --prune, because this could make shared
> repositories unfunctional.
>   

Does anyone run "git svn dcommit" from a shared repository? That is the 
only command that will trigger this code path.

Given that you lose all the svn metadata if you do "git clone" (or "git 
clone -s") on a git-svn-managed repository, it's not clear to me that 
anyone would ever be bitten by this. Counterexamples welcome, of course.

How would you feel about a separate config option to specifically enable 
auto-pruning, and having "git svn clone" set that option by default? 
Presumably anyone who is setting up a shared git-svn repository will be 
up to the task of disabling the option.

-Steve